Name: libkipi
Version: 0.1.6
Release: alt0.1
Serial: 1

Group:   System/Libraries
Summary: KDE Image Plugin Interface
License: GPL
Url: http://www.kipi-plugins.org/

Source0: %name-%version.tar.bz2

BuildRequires: xorg-x11-devel doxygen gcc-c++ kdelibs-devel libarts-devel libjpeg-devel
BuildRequires: libpng-devel libqt3-devel xml-utils zlib-devel

%description
The library of the KDE Image Plugin Interface

%package devel
Summary: Development files for %name
Group: Development/KDE and QT
Requires: %name = %version-%release

%description devel
%name-devel contains the libraries and header files needed to
develop programs which make use of %name.

%prep
%setup -q
make -f admin/Makefile.common cvs ||:

%build
%configure \
    --disable-rpath \
    --disable-static \
    --enable-shared \
%ifarch x86_64
    --enable-libsuffix=64 \
%endif
    --enable-new-ldflags \
    --enable-gcc-hidden-visibility \
    --disable-debug
%make

%install
%make DESTDIR=%buildroot install

%find_lang --with-kde %name

%post
%post_ldconfig

%postun
%postun_ldconfig

%files -f %name.lang
%_libdir/*.so.*
%_datadir/servicetypes/kipiplugin.desktop
%_datadir/apps/kipi
%_iconsdir/hicolor/*/apps/*.png

%files devel
%_includedir/%name
%_libdir/*.so
%_libdir/pkgconfig/%name.pc

%changelog
* Mon May 05 2008 Led <led@altlinux.ru> 1:0.1.6-alt0.1
- 0.1.6

* Tue Jan 22 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.5-alt3
- relocation devel files

* Tue Jan 09 2007 Sergey V Turchin <zerg at altlinux dot org> 1:0.1.5-alt2
- fix configure options

* Sun Jan 07 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.5-alt1
- 0.1.5
- fixed URL

* Mon Jul 03 2006 Sergey V Turchin <zerg at altlinux dot org> 1:0.1.2-alt3
- fix build requires

* Thu Feb 02 2006 Sergey V Turchin <zerg at altlinux dot org> 1:0.1.2-alt2
- fix linking
- rebuilt with new pkg-config

* Tue Sep 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.2-alt1
- 0.1.2

* Sat Mar 05 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1.1-alt1
- 0.1.1

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1:0.1-alt1.1
- Rebuilt with libstdc++.so.6.

* Fri Oct 29 2004 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1-alt1
- 0.1

* Tue Aug 24 2004 Valery Inozemtsev <shrek@altlinux.ru> 20040801-alt1
- initial release

